commit:     45c751cb7269ece1e8f49c2cab9f7d432d0223fc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  6 04:46:34 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar  6 04:52:44 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45c751cb

dev-python/cli-helpers: Bump to 2.11.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cli-helpers/Manifest                  |  1 +
 dev-python/cli-helpers/cli-helpers-2.11.0.ebuild | 43 ++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/cli-helpers/Manifest b/dev-python/cli-helpers/Manifest
index 2fd0d73ae3c2..0fa62d8c2e4d 100644
--- a/dev-python/cli-helpers/Manifest
+++ b/dev-python/cli-helpers/Manifest
@@ -1,5 +1,6 @@
 DIST cli_helpers-2.10.0.gh.tar.gz 37204 BLAKE2B 
922e2c69d08ea9894ea2cc84a19779be8f0ce7f9365d4b0de287a9bb41c7cbea2515208bc979d8809863fd1e1b43c5984634eb14949da5b3000e5dd442385eb6
 SHA512 
2112a8617440157cf4c20149cbd983abd17a7f967b287eae90eb4569bf55e4154761ea88d3148ed176ee8e68ca2309b4401f1069962c87aff72a1e2d7e395492
 DIST cli_helpers-2.10.1.gh.tar.gz 37265 BLAKE2B 
bcf54486730f7d69d87787b89bf76ef6e3d00bbfd5685610a27ced3b8f29723a8f0ce37b27a4c4b2a8cf8787d24a08a91a1a5a52a9c21f0903c64eced5e6f855
 SHA512 
521a9f586caf9f5221b4b13cfb481dd0d6648ef9c5f7cc13bd7f270ea29e065bcd0aa24b84ba58b73a05d462292f0e228c42024cdae21b8d72ad9308dbe8c3fc
+DIST cli_helpers-2.11.0.gh.tar.gz 37297 BLAKE2B 
de8f638594075dd832c553795c3b7ca64d70198a3854adc97c1404b0c3d0d1793bd9a8826fd17c3bd45e21f9ad8f135b61d399993ed4e2470eb7b4a54c22e5b9
 SHA512 
a7fdb6eb012ac5157a305f69ddf6a0110b945573da585b3152546b4832d97686a40f853b2101ef1cce752ebb3dc8b078ce26f3eb701c7963ad811ed28dca4f9e
 DIST cli_helpers-2.7.0.gh.tar.gz 36537 BLAKE2B 
843d88f5f1eac62b3d37a6d423ec9bce47daedc4b3ea1896d5e84c6dae76a4af687a6fbc01f29d8146cca6ac89f638d2eec0a5d439258369636c7008fac3d499
 SHA512 
ef9976a7cd4c7853edee598d188003d7f1e1d73d3ca0be2030f2af9db246d394d1ac961408b8e222d45e9dbabda622dbc194cd9fa7aeacf958cd9206428781f6
 DIST cli_helpers-2.8.1.gh.tar.gz 36594 BLAKE2B 
c713c771a742f992ee5468de70d1d965672ae6b24ade26d397f1aa411040a5d6561d3ca807c8be509217cb0d46f14c10bece2b181798ba8dee1952fb3358886a
 SHA512 
b5228702e7de009404004f0fcc002a8876ee962885dcfc4cd04c8863fba5c5eed802fffe411cf0136ba2bc391ec5e6870e450acb17e5aa91b0962b509f1a2963
 DIST cli_helpers-2.9.0.gh.tar.gz 36958 BLAKE2B 
e9cbe7560846bd05a24a2da66ea309e8d29869bdd22b42d9130f42217b58500da022857d1f4ac6a9d069f7e918d353847632a134cc9c49e134c3d7d4c179e5c0
 SHA512 
aa022d28c295837976f4d9c3ec20ea12fa80ba7600e2e73e30895127e8d2697d28865778e96962a49f2060f06fe58e5f0147eb3747e103fd3a16a54aebde1a75

diff --git a/dev-python/cli-helpers/cli-helpers-2.11.0.ebuild 
b/dev-python/cli-helpers/cli-helpers-2.11.0.ebuild
new file mode 100644
index 000000000000..ff89f697b8fa
--- /dev/null
+++ b/dev-python/cli-helpers/cli-helpers-2.11.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=cli_helpers-${PV}
+DESCRIPTION="Python helpers for common CLI tasks"
+HOMEPAGE="
+       https://cli-helpers.rtfd.io/
+       https://github.com/dbcli/cli_helpers/
+       https://pypi.org/project/cli-helpers/
+"
+SRC_URI="
+       https://github.com/dbcli/cli_helpers/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/configobj-5.0.5[${PYTHON_USEDEP}]
+       >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+       >=dev-python/tabulate-0.10.0[${PYTHON_USEDEP}]
+       dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unpin deps
+       sed -i -e 's:~=:>=:' setup.py || die
+}

Reply via email to